# Class SpeciesDefaultFormMatchTrigger

#### Hierarchy (view full)

- SpeciesFormChangeTrigger
  - SpeciesDefaultFormMatchTrigger

- Defined in src/data/pokemon-forms.ts:304

#####
Index

### Constructors

constructor

### Properties

formKey

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesDefaultFormMatchTrigger(formKey): SpeciesDefaultFormMatchTrigger

- #### Parameters

  - formKey: string

  #### Returns SpeciesDefaultFormMatchTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:307

## Properties

### `Private` formKey

formKey: string

- Defined in src/data/pokemon-forms.ts:305

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:312

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: (new (...args) => SpeciesFormChangeTrigger )
    - - new (...args): SpeciesFormChangeTrigger

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns SpeciesFormChangeTrigger

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:173